import java.applet.*;
import java.awt.*;
import java.awt.image.*;

public class EX14J extends Applet
{
    private Image myImage;
	TextArea status;

    public void init()
    {
        resize(520, 470);

        // create the image
        myImage = getImage(getDocumentBase(), "savannah.jpg");

		// create a text area for displaying status information
		status = new TextArea(5, 20);
		add(status);
    }

    public void paint(Graphics g)
    {
		// paint the image in the specified rectangle
		g.drawImage(myImage, 0, 110, 350, 350, this);
    }


	public synchronized boolean imageUpdate(Image img, 
			int infoflags, int x, int y, int width, int height)
	{
		// if an error occurs, display the message
		if ((infoflags & ImageObserver.ERROR) != 0)
			status.appendText("Error\r\n");

		// once all the bits have been received display 
		// a message and repaint the applet
		if ((infoflags & ImageObserver.ALLBITS) != 0)
		{
			status.appendText("Allbits\r\n");
			repaint();
		}
		return true;
	}
}
